Skip to main content
GET
/
v1
/
flows
curl -X GET "https://api.whatabot.app/api/v1/flows?page=0&size=20" \
  -H "X-Api-Key: wh_your_api_key"
{
  "content": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "My Flow",
      "createdAt": "2025-01-15T10:30:00.000Z",
      "updatedAt": "2025-01-15T10:30:00.000Z",
      "workspace": {
        "id": "660e8400-e29b-41d4-a716-446655440000",
        "name": "My Workspace"
      }
    }
  ],
  "pageable": {
    "pageNumber": 0,
    "pageSize": 20,
    "sort": { "sorted": false, "unsorted": true, "empty": true },
    "offset": 0,
    "paged": true,
    "unpaged": false
  },
  "totalElements": 1,
  "totalPages": 1,
  "size": 20,
  "number": 0,
  "first": true,
  "last": true,
  "numberOfElements": 1,
  "empty": false
}
Retrieve a paginated list of flows. You can filter by workspace and date range.
X-Api-Key
string
required
Your API key (prefixed with wh_).
page
integer
default:"0"
Page number (zero-based).
size
integer
default:"20"
Number of items per page (1-100).
orderBy
string
Column name to order results by.
direction
string
default:"ASC"
Sort direction. ASC or DESC.
workspaceId
string
Filter by workspace UUID.
workspaceName
string
Filter by workspace name.
dateRange
string
Filter by date range. One of today, last7days, last15days, last30days.
curl -X GET "https://api.whatabot.app/api/v1/flows?page=0&size=20" \
  -H "X-Api-Key: wh_your_api_key"
{
  "content": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "name": "My Flow",
      "createdAt": "2025-01-15T10:30:00.000Z",
      "updatedAt": "2025-01-15T10:30:00.000Z",
      "workspace": {
        "id": "660e8400-e29b-41d4-a716-446655440000",
        "name": "My Workspace"
      }
    }
  ],
  "pageable": {
    "pageNumber": 0,
    "pageSize": 20,
    "sort": { "sorted": false, "unsorted": true, "empty": true },
    "offset": 0,
    "paged": true,
    "unpaged": false
  },
  "totalElements": 1,
  "totalPages": 1,
  "size": 20,
  "number": 0,
  "first": true,
  "last": true,
  "numberOfElements": 1,
  "empty": false
}